### Method

# WebKit2WebExtension DOMDOMWindow get_computed_style

#### Declaration [src]

    WebKitDOMCSSStyleDeclaration*
    webkit_dom_dom_window_get_computed_style (
      WebKitDOMDOMWindow* self,
      WebKitDOMElement* element,
      const gchar* pseudoElement
    )

#### Description

No description available.

Available since: | 2.16
Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Parameters

`element` | `WebKitDOMElement`
| A `WebKitDOMElement`.
| The data is owned by the caller of the function.
`pseudoElement` | `const gchar*`
| A #gchar.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `WebKitDOMCSSStyleDeclaration`
| A `WebKitDOMCSSStyleDeclaration`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.